* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

:root {
    --bg: #07191e;
    --bg-soft: #0c242a;
    --surface: #102d34;

    --primary: #02f5a1;
    --primary-hover: #00d98f;
    --primary-soft: rgba(2, 245, 161, 0.12);

    --text: #eafcf6;
    --text-muted: #9bb3ad;
    --border: rgba(234, 252, 246, 0.12);

    --shadow: 0 10px 30px rgba(0, 0, 0, 0.25);
}

body {
    padding: 20px;
    padding-top: 10px;
    background-image: linear-gradient(130deg, var(--bg), #7DF9FF);
    color: var(--text);
}

.logo {
    justify-content: space-around;
    width: 120px;
    height: auto;
}

ul {
    display: flex;
    gap: 20px;
    list-style: none;
    align-items: center;
}

a {
    text-decoration: none;
    color: var(--text);
}

button {
    background: var(--primary);
    color: var(--text);
    border: var(--border);
    padding: 0.75rem 1.5rem;
    border-radius: 9999px;
    cursor: pointer;
    transition: background 0.3s ease;
    box-shadow: var(--shadow);
    transition-duration: 0.4s;
}

.button:hover {
    background-color: var(--primary-hover);
    color:#0c242a;
}


.navbar nav {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 10px 20px;
    margin-top: 20px;
    background: var(--bg);
    border: 2px solid var(--border);
    border-radius: 50px;
    opacity: 0.65;
    box-shadow: 10px 10px 15px rgba(2, 245, 161, 0.2);
}